/**
 * LOGICAL-PARADOX.ORG
 * Copyright (C)2004 satoshi akabane(akabane@logical-paradox.org)
 *
 */
package org.logical_paradox.common.fsm.impl;

import org.logical_paradox.common.fsm.FiniteStateMachine;
import org.logical_paradox.common.fsm.Symbol;

/**
 * 有限状態遷移機械のテスト用モックアップ
 * @author satoshi akabane@logical-paradox.org
 * @version $Revision: 1.1 $
 */
public class FiniteStateMachineImpl extends FiniteStateMachine {
	/**
	 * コンストラクタ
	 * @param name 識別子
	 */
	public FiniteStateMachineImpl(String name) throws Exception {
		super(name);
	}
	protected void input(Symbol symbol) {
	}
	protected boolean isFiniteState() {
		return false;
	}
	public Object getResult() {
		return null;
	}
}
